## salt-libreoffice-addons 4.4.11

=== Makefile ===
#!/usr/bin/make -f 

SUBDIRS = salt saltutil

all: 
	cd salt && make all
	cd saltutil && make all
	cp salt/salttrad.oxt install-files/
	cp saltutil/saltutil.oxt install-files/
	
clean-install:
	cd salt && make only-install
	cd saltutil && make only-install

=== salt/Makefile ===
#!/usr/bin/make -f 
# SALT TRAD

# ALL TARGET
all: all-svgs zip-trad

only-install:  all-svgs zip-trad install-trad

# Values for 
NO_COLOR    = \x1b[0m
BUILD_COLOR    = \x1b[32;01m
CLEAN_COLOR    = \x1b[31;01m

# Get the values for the images
SVGs = $(wildcard images/*.svg)
PNG16s = $(patsubst %.svg, %_16.png, $(SVGs))
PNG26s = $(patsubst %.svg, %_26.png, $(SVGs))

# Generic rule for All pngs
%_16.png: %.svg
	convert -resize "16x" $< $@

# 26 pixel size
%_26.png: %.svg
	convert -resize "26x" $< $@

# Simple test
testsvg:
	echo "$(SVGs)"
	echo "$(PNGs)"

all-svgs : $(PNG16s) $(PNG26s)

clean-trad:
	unopkg remove -v salttrad.oxt
	rm -f *.oxt

zip-trad:
	zip -r salttrad.oxt \
		description.xml \
		META-INF/manifest.xml \
		Addons.xcu \
		sltooo.py \
		images/ferram_ajuda_16.png \
		images/ferram_ajuda_26.png \
		images/ferram_config_16.png \
		images/ferram_config_26.png \
		images/ferram_corregir_16.png \
		images/ferram_corregir_26.png \
		images/ferram_revisar_16.png \
		images/ferram_revisar_26.png \
		images/ferram_stop_16.png \
		images/ferram_stop_26.png \
		images/ferram_traduir_16.png \
		images/ferram_traduir_26.png \
		images/ferram_traduir_i_16.png \
		images/ferram_traduir_i_26.png \
		images/salt4-logo.png \
		desc_es.txt \
		license_es-ES.txt

install-trad:
	unopkg add -v salttrad.oxt

=== saltutil/Makefile ===
#!/usr/bin/make -f 
# SALTUTIL

# ALL TARGET
all: all-svgs zip

only-install: all-svgs zip install

# Get the values for the images
SVGs = $(wildcard images/*.svg)
PNG16s = $(patsubst %.svg, %_16.png, $(SVGs))
PNG26s = $(patsubst %.svg, %_26.png, $(SVGs))

# Generic rule for All pngs
%_16.png: %.svg
	convert -resize "16x" $< $@

# 26 pixel size
%_26.png: %.svg
	convert -resize "26x" $< $@

# Simple test
testsvg:
	echo "$(SVGs)"
	echo "$(PNGs)"

all-svgs : $(PNG16s) $(PNG26s)


clean:
	unopkg remove -v saltutil.oxt
	rm -f *.oxt
	rm -f images/*.png
	   
zip:
	zip -r saltutil.oxt \
		images/util_diccbil_16.png\
		images/util_diccbil_26.png\
		images/util_varios_16.png\
		images/util_varios_26.png\
		Addons.xcu\
		license_es-ES.txt\
		images/util_dicc_16.png\
		images/util_dicc_26.png\
		desc_es.txt\
		META-INF/manifest.xml\
		images/util_sin_16.png\
		images/util_verbs_16.png\
		images/util_sin_26.png\
		images/util_verbs_26.png\
		images/salt4-logo.png\
		sltuooo.py\
		description.xml\

install:
	unopkg add -v saltutil.oxt

=== debian/changelog ===
salt-libreoffice-addons (4.4.11) precise; urgency=high

  * Updated salt addon

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Tue, 17 Jun 2014 13:32:34 +0200

salt-libreoffice-addons (4.4.9) precise; urgency=high

  * Updated encoding for Salt Addon
  * Updated messages
  * Updated salt util
  * Updated salt trad
  * Updated debian/rules

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Tue, 17 Jun 2014 13:22:56 +0200

salt-libreoffice-addons (4.4.8) precise; urgency=high

  * Updated banner 

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Thu, 08 May 2014 15:25:09 +0200

salt-libreoffice-addons (4.4.7) precise; urgency=high

  * Added as in 4.4.2

 -- aberlanas <aberlanas@workspace>  Mon, 03 Mar 2014 18:16:05 +0100

salt-libreoffice-addons (4.4.6) precise; urgency=high

  * LinuX version

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Mon, 03 Mar 2014 14:28:00 +0100

salt-libreoffice-addons (4.4.5) precise; urgency=high

  * Updated python 

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Mon, 03 Mar 2014 12:57:09 +0100

salt-libreoffice-addons (4.4.4) precise; urgency=high

  * Removed any architecture 

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Fri, 28 Feb 2014 10:33:28 +0100

salt-libreoffice-addons (4.4.3) precise; urgency=high

  * Updated zmd

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Fri, 28 Feb 2014 09:26:24 +0100

salt-libreoffice-addons (4.4.2) precise; urgency=low

  * First version for Pandora 

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Mon, 22 Oct 2012 08:50:49 +0200

=== debian/control ===
Source: salt-libreoffice-addons
Priority: extra
Maintainer: Equip LliureX <lliurex@gva.es>
Build-Depends: debhelper (>= 5), llxcfg-dev, zero-dev
Standards-Version: 3.9.3
Section: non-free/utils

Package: salt-libreoffice-addons
Section: non-free/utils
Depends:  libreoffice-common, ${misc:Depends}
Architecture: i386
Description: Salt for LibreOffice.org addon 
 Salt is a translator which allows you to translate texts from Castilian into 
 Valencian and in the inverse one, with an interactive mode which minimize 
 errors and guarantees high quality translated texts 
 .
 It is also a spelling checker which, as well as strictly spelling errors, can 
 detect barbarisms, incorrect periphrasis, mistaken idioms, incorrect 
 combinations of object or adverbial pronouns, errors in grammatical 
 relation...
 .
 This package contains an addon for LibreOfice.org to use it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1



configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build-arch: build-indep

build-indep: build

build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	# $(MAKE)
	#docbook-to-man debian/lliurex.sgml > lliurex.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	
	#dllxh_testgettext
	
	# Add here commands to clean up after the build process.
	# $(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep 
	dh_installdirs

#pot:
#	llx_updatepot package_domain


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
	dh_lintian
	dllxh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
